
Efl_Object *_efl_ui_focus_manager_sub_efl_object_constructor(Eo *obj, Efl_Ui_Focus_Manager_Sub_Data *pd);


void _efl_ui_focus_manager_sub_efl_object_destructor(Eo *obj, Efl_Ui_Focus_Manager_Sub_Data *pd);


Efl_Ui_Focus_Object *_efl_ui_focus_manager_sub_efl_ui_focus_manager_move(Eo *obj, Efl_Ui_Focus_Manager_Sub_Data *pd, Efl_Ui_Focus_Direction direction);


static Eina_Bool
_efl_ui_focus_manager_sub_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_FOCUS_MANAGER_SUB_EXTRA_OPS
#define EFL_UI_FOCUS_MANAGER_SUB_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_ui_focus_manager_sub_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_focus_manager_sub_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_focus_manager_move, _efl_ui_focus_manager_sub_efl_ui_focus_manager_move),
      EFL_UI_FOCUS_MANAGER_SUB_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_focus_manager_sub_class_desc = {
   EO_VERSION,
   "Efl.Ui.Focus.Manager_Sub",
   EFL_CLASS_TYPE_MIXIN,
   sizeof(Efl_Ui_Focus_Manager_Sub_Data),
   _efl_ui_focus_manager_sub_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_focus_manager_sub_mixin_get, &_efl_ui_focus_manager_sub_class_desc, NULL, EFL_UI_FOCUS_MANAGER_INTERFACE, NULL);
